[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragManager.Dragging

Indicates whether the specified control is the active drag object in the drag manager.

## Declaration

Source position: controls.pp line 644

`public function TDragManager.Dragging(`
`AControl: TControl`
`):Boolean; virtual; abstract;`

## Arguments

`AControl` |  | Control compared to the drag object to get the return value.

## Function result

True if the specified control is being dragged.

## Description

Dragging is an abstract virtual method in TDragmanager. It must be implemented in a descendent class to perform actions needed in the method.

Use IsDragging to determine whether a drag performer is active in the drag manager for a(ny) control.

## See also

TDragManager.IsDragging |  | Check if dragging is in progress.